import { Debug } from "../../debug.js";
import { isAsyncServiceImplementationLoader } from "../../helpers/isAsyncServiceImplementationLoader.js";
export function validateAsyncImplementation(collection) {
    for (const descriptor of collection) {
        if (isAsyncServiceImplementationLoader(descriptor.implementation)) {
            console.warn(Debug.warnings.asyncValidation(descriptor));
        }
    }
}
//# sourceMappingURL=validateAsyncImplementation.js.map